import { requestAPI } from '../request.js';

// 获取企业下拉列表
export function getLicenseEnterpriseSelect() {
  return requestAPI({
    url: '/frontend/license/enterprise/select',
    method: 'GET'
  });
}

// 删除证照（需要admin或manage角色）
export function deleteLicense(params) {
  return requestAPI({
    url: '/frontend/license/delete',
    method: 'POST',
    data: params
  });
}

// 修改证照（需要admin或manage角色）
export function updateLicense(params) {
  return requestAPI({
    url: '/frontend/license/update',
    method: 'POST',
    data: params
  });
}

// 新增证照（需要admin或manage角色）
export function addLicense(params) {
  return requestAPI({
    url: '/frontend/license/add',
    method: 'POST',
    data: params
  });
}

// 获取证照详情
export function getLicenseDetail(params) {
  return requestAPI({
    url: '/frontend/license/detail',
    method: 'GET',
    data: params
  });
}

// 获取证照列表（本部门企业的证照）
export function getLicenseList(params) {
  return requestAPI({
    url: '/frontend/license/list',
    method: 'GET',
    data: params
  });
}
